<?php
include 'header.php';
include 'erpc_movimentacao_toolbar.php'; //Nome da tabela _list.php
include_once 'connect.php';

// Método para post de Query Avançada
	$consulta = "SELECT * FROM erpc_movimentacao where st_ativo = 1";

	//Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {
		$id         = $_POST['id'];
		$nr_documento = trim($_POST['nr_documento']);
		$id_tipo_movimentacao = trim($_POST['id_tipo_movimentacao']);
		$ds_movimentacao = trim($_POST['ds_movimentacao']);
		$id_usuario_include = trim($_POST['id_usuario_include']);
		$id_cliente = trim($_POST['id_cliente']);
		$id_fornecedor = trim($_POST['id_fornecedor']);
		$ds_observacao = trim($_POST['ds_observacao']);

		$consulta .= (!empty($id)          ? " and id            like '%$id%'"          : '');
		$consulta .= (!empty($nr_documento)          ? " and id            like '%$nr_documento%'"          : '');
		$consulta .= (!empty($id_tipo_movimentacao)  ? " and id            like '%$id_tipo_movimentacao%'"  : '');
		$consulta .= (!empty($ds_movimentacao)       ? " and id            like '%$ds_movimentacao%'"       : '');
		$consulta .= (!empty($id_usuario_include)    ? " and id            like '%$id_usuario_include%'"    : '');
		$consulta .= (!empty($id_cliente)            ? " and id            like '%$id_cliente%'"            : '');
		$consulta .= (!empty($id_fornecedor)         ? " and id            like '%$id_fornecedor%'"         : '');
		$consulta .= (!empty($ds_observacao)         ? " and id            like '%$ds_observacao%'"         : '');

	}
?>

<div class="block">
  <div class="header">
  <h2>Movimentação de Produtos</h2>
  </div>
  <div class="content">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
            <th width=05%>ID</th>
            <th width=20%>Nr. Documento</th>
						<th width=50%>Descrição</th>
						<th width=20%>Tipo</th>
						<th width=05%>Excluir</th>
          </tr>
        </thead>
        <tbody>

          <?php

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

            $id       	= $registro['id'];
            $id_crip	 	= base64_encode($id);
						$nr_documento	= $registro['nr_documento'];
			  		$ds_movimentacao	= $registro['ds_movimentacao'];
						$id_tipo_movimentacao = $registro['id_tipo_movimentacao'];

				echo "<tr>";
            // echo "<td class='text-center'><input type='checkbox' /></td>";
            echo "<td>$id</td>";
            echo "<td>$nr_documento</td>";
						echo "<td>$ds_movimentacao</td>";
						echo "<td>$id_tipo_movimentacao</td>";

            // echo "<td class='text-center'><a href='erpc_movimentacao_edit.php?id=$id_crip'>  <i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
            echo "<td class='text-center'><a href='erpc_movimentacao_remove.php?id=$id_crip'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
          echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
